Package org.eclipse.net4j.db.jdbc

## Class DelegatingConnection.Default

- java.lang.Object
- - org.eclipse.net4j.db.jdbc.DelegatingConnection
  - - org.eclipse.net4j.db.jdbc.DelegatingConnection.Default

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `java.sql.Connection`, `java.sql.Wrapper`
  Enclosing class:
    DelegatingConnection

      public static class DelegatingConnection.Default
      extends DelegatingConnection

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.db.jdbc.DelegatingConnection

      `DelegatingConnection.Default`

  - ### Field Summary

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Default​(java.sql.Connection delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql)` |
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, int autoGeneratedKeys)` |
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, int[] columnIndexes)` |
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, int resultSetType, int resultSetConcurrency)` |
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` |
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, java.lang.String[] columnNames)` |

    - ### Methods inherited from class org.eclipse.net4j.db.jdbc.DelegatingConnection

      `abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getDelegate, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, isWrapperFor, nativeSQL, prepareCall, prepareCall, prepareCall, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Connection

      `beginRequest, endRequest, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid`

- - ### Constructor Detail

    - #### Default

          public Default​(java.sql.Connection delegate)

  - ### Method Detail

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             int resultSetType,
                                                             int resultSetConcurrency)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             int resultSetType,
                                                             int resultSetConcurrency,
                                                             int resultSetHoldability)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             int autoGeneratedKeys)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             int[] columnIndexes)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             java.lang.String[] columnNames)
                                                      throws java.sql.SQLException

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `java.sql.SQLException`